package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统日志表(IdenSysLog)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-29 14:08:35
 */

@Data
@ApiModel(value = "系统日志表", description = "")
public class SysLogVO implements Serializable {
    private static final long serialVersionUID = -80515949956425107L;

    private Long id;


    @ApiModelProperty("日志类型")
    private String logType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("操作时间")
    private Date createTime;


    @ApiModelProperty("操作账号")
    private String username;


    @ApiModelProperty("操作内容")
    private String content;

    @ApiModelProperty("IP地址")
    private String ip;

}
